Bug 216199 - kernel dm: dmsetup "remove" leaves dm_mod in use
kernel dm: dmsetup "remove" leaves dm_mod in use
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Milan Broz
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-17 14:03 EST by Krzysio (Chris) Leszczynski
Modified: 2013-02-28 23:04 EST (History)
6 users (show)

See Also:
Fixed In Version: 2.6.19-1.2895.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-05 08:03:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This script adds and removes map to show the growing usage od dm_mod (337 bytes, text/plain)
2006-11-17 14:03 EST, Krzysio (Chris) Leszczynski
no flags Details

  None (edit)
Description Krzysio (Chris) Leszczynski 2006-11-17 14:03:18 EST
Description of problem:
I'm not sure whether this bug should go to kernel or
to device-mapper. I'm adding agk@redhat.com to Cc

Version-Release number of selected component (if applicable):
kernel-2.6.18-1.2849.fc6
device-mapper-1.02.07-3

How reproducible:
Always

Steps to Reproduce:
1. Make any device (loopback, /dev/sdaX, whatever)
2. create a device, for instance a 1-1 linear copy
3. remove a device
4. Repeat 2 and 3 several times, and then see the usage
   of dm_mod. It's usually O(2*number-of-steps).
Please see the attached test script
  
Actual results:
  lsmod|grep dm_mod indicates growing usage
  modprobe -r dm_mod fails (even if dm_crypt, dm_mirror etc are removed)
  After several tries dmsetup remove fails leaving the device busy
  Please see the result of test script

Expected results:
  dm_mod usage should be 0 after all devices are removed

Additional info:
Comment 1 Krzysio (Chris) Leszczynski 2006-11-17 14:03:18 EST
Created attachment 141517 [details]
This script adds and removes map to show the growing usage od dm_mod
Comment 2 Alasdair Kergon 2006-11-17 14:32:56 EST
Actually lvm-team@ now.

Sounds like the known bug patched here:
  http://lkml.org/lkml/2006/11/7/196
Comment 3 Milan Broz 2006-12-04 12:14:27 EST
Fixed in upstream 2.6.19 kernel, not yet in fc6.
Comment 4 Milan Broz 2007-02-05 08:03:51 EST
Fixed in FC6 kernel 2.6.19-1.2895.

Note You need to log in before you can comment on or make changes to this bug.